# NewsML-G2 Documentation

The latest version of NewsML-G2 is 2.34, approved by the IPTC Standards
Committee in April 2024.

## NewsML-G2 Quick Start guides

We have created a set of Quick Start guides to help developers understand the
key concepts behind NewsML-G2.

There are currently five Quick Start guides:

* [NewsML-G2 Quick Start: Basics](https://iptc.atlassian.net/wiki/spaces/NEWSMLG2/pages/610041876/Basics+-+NewsML-G2+Quick+Start+Guide)
* [NewsML-G2 Quick Start: Text](https://iptc.atlassian.net/wiki/spaces/NEWSMLG2/pages/610500617/Text+-+NewsML-G2+Quick+Start+Guide)
* [NewsML-G2 Quick Start: Pictures](https://iptc.atlassian.net/wiki/spaces/NEWSMLG2/pages/610140166/Pictures+and+Graphics+-+NewsML-G2+Quick+Start+Guide)
* [NewsML-G2 Quick Start: Video](https://iptc.atlassian.net/wiki/spaces/NEWSMLG2/pages/610304037/Video+-+NewsML-G2+Quick+Start+Guide)
* [NewsML-G2 Quick Start: Packages](https://iptc.atlassian.net/wiki/spaces/NEWSMLG2/pages/610598929/Packages+-+NewsML-G2+Quick+Start+Guide)
* [NewsML-G2 Quick Start: Receiving NewsML-G2](https://iptc.atlassian.net/wiki/spaces/NEWSMLG2/pages/622034945/Receiving+NewsML-+G2+-+NewsML-G2+Quick+Start+Guide)

After reading the Quick Start guides, we recommend reading the rest of
the
[NewsML-G2 Guidelines](https://www.iptc.org/std/NewsML-G2/guidelines),
and consulting the full
[NewsML-G2 Specification](https://www.iptc.org/std/NewsML-G2/specification/)
and
[XML Schema documentation](https://www.iptc.org/std/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/)
for finer details.

## NewsML-G2 Specification document

The latest version of the NewsML-G2 Specification in HTML is 2.33. A 2.34 version will be released soon.

This 2.33 version is available at
[https://www.iptc.org/std/NewsML-G2/2.31/specification/NewsML-G2-2.33-specification.html](https://www.iptc.org/std/NewsML-G2/2.33/specification/NewsML-G2-2.33-specification.html)

The latest version is always hosted at
[https://www.iptc.org/std/NewsML-G2/specification/](https://www.iptc.org/std/NewsML-G2/specification/)

## NewsML-G2 Guidelines document

The latest version of the NewsML-G2 Guidelines is published at
[https://www.iptc.org/std/NewsML-G2/guidelines](https://www.iptc.org/std/NewsML-G2/guidelines)

### Guidelines for older versions of NewsML-G2

Guidelines for older versions of NewsML-G2 (up to 2.25) were maintained in PDF format.
The last version to be published in PDF was the 
[NewsML 2.25 Implementation Guide 9.0.2 (PDF)](https://www.iptc.org/std/NewsML-G2/2.25/documentation/IPTC-NewsML-G2-Implementation_Guide_9.0.2.pdf).

## XML Schema documentation

[NewsML-G2 XML Schema docs](https://www.iptc.org/std/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/)
generated directly from the NewsML-G2 XML Schema are available in the
specification folder:
[https://www.iptc.org/std/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/](https://www.iptc.org/std/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/)

The XML Schema docs are separated into documentation for each of the major components of NewsML-G2:

* [CatalogItem](https://www.iptc.org/std-dev/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/NewsML-G2_2.34-spec-CatalogItem-Power.html)
* [ConceptItem](https://www.iptc.org/std-dev/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/NewsML-G2_2.34-spec-ConceptItem-Power.html)
* [Framework](https://www.iptc.org/std-dev/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/NewsML-G2_2.34-spec-Framework-Power.html)
* [KnowledgeItem](https://www.iptc.org/std-dev/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/NewsML-G2_2.34-spec-KnowledgeItem-Power.html)
* [NewsItem](https://www.iptc.org/std-dev/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/NewsML-G2_2.34-spec-NewsItem-Power.html)
* [NewsMessage](https://www.iptc.org/std-dev/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/NewsML-G2_2.34-spec-NewsMessage-Power.html)
* [PackageItem](https://www.iptc.org/std-dev/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/NewsML-G2_2.34-spec-PackageItem-Power.html)
* [PlanningItem](https://www.iptc.org/std-dev/NewsML-G2/2.34/specification/XML-Schema-Doc-Power/NewsML-G2_2.34-spec-PlanningItem-Power.html)

## NewsML-G2 Structure Matrix

A matrix showing which attributes apply to which elements is maintained as an Excel spreadsheet:
[https://www.iptc.org/std/NewsML-G2/2.26/documentation/NewsML-G2_2.26-structMatrix_1.xls](https://www.iptc.org/std/NewsML-G2/2.26/documentation/NewsML-G2_2.26-structMatrix_1.xls)

## Further information and questions

For any questions, comments or suggestions, please join the public NewsML-G2
forum at
[https://groups.io/g/iptc-newsml-g2](https://groups.io/g/iptc-newsml-g2).
